#!/bin/bash
#PBS -N GMX-MPI-GPU
#PBS -l select=1:ncpus=2:mpiprocs=2:ngpus=2:mem=14GB
#PBS -q R1598562
#PBS -l walltime=1:00:00
#PBS -A train_cmd12015

# go to submission dir
cd $PBS_O_WORKDIR

# load gromacs 4.6.5
module load profile/advanced
module load autoload gromacs/4.6.5 

# we have asked for 1 nodes = 2 GPUs
# => set total mpi tasks = 2  (2 per node) and bind to two GPUs
export OMP_NUM_THREADS=1

mdrun=$(which mdrun_mpi_cuda)
cmd="$mdrun -s topol.tpr -deffnm GPU-MPI -v -maxh 6.0 -gpu_id 01"
mpirun -np 2 $cmd
