#!/bin/bash
#PBS -N GMX-PureMPI
#PBS -l select=1:ncpus=16:mpiprocs=16:mem=14GB
#PBS -q R1598562
#PBS -l walltime=1:00:00
#PBS -A train_cmd12015

# go to submission dir
cd $PBS_O_WORKDIR

# load gromacs 4.6.5
module load profile/advanced
module load autoload gromacs/4.6.5


# => set total mpi tasks = 16 (16 per node)
export OMP_NUM_THREADS=1

mdrun=$(which mdrun_mpi)
cmd="$mdrun -s topol.tpr -deffnm PureMPI -maxh 1.0 -nb cpu"
mpirun -np 8 $cmd
